%global git_commit 925a709ba0c98d8c0beabd0e34477971946c10be
%global git_date 20140319

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}


Name:          vmmlib
Version:       1.6.2
Release:       %mkrel -c %{git_suffix} 5
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
License:       BSD
URL:           http://github.com/VMML/vmmlib/
#Source0:       %%{name}-%%{version}.tar.gz
Source0:       %{name}-%{version}-%{git_suffix}.tar.bz2
BuildArch:     noarch
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: blas-devel
BuildRequires: f2c
BuildRequires: glibc-devel
BuildRequires: doxygen
BuildRequires: cmake
BuildRequires: git

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
Requires:      pkgconfig
Requires:      cmake

%description devel
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%prep
%setup

%build

%cmake
%make_build

%install
%make_install -C build

# move docs to right place
mkdir _tmpdoc
mv %{buildroot}%{_datadir}/%{name}/{AUTHORS,LICENSE.txt,ACKNOWLEDGEMENTS,README.md} _tmpdoc/

# move cmake files to right place
mkdir -p %{buildroot}%{_datadir}/cmake/Modules/
mv %{buildroot}%{_datadir}/%{name}/CMake/*.cmake %{buildroot}%{_datadir}/cmake/Modules/
rmdir %{buildroot}%{_datadir}/%{name}/CMake

%check
make -C build test

%files devel
%doc RELNOTES.md CHANGES _tmpdoc/*
%{_includedir}/vmmlib
%{_libdir}/pkgconfig/vmmlib.pc
%{_datadir}/cmake/Modules/vmmlib*.cmake



%changelog
* Mon May 23 2016 daviddavid <daviddavid> 1.6.2-0.20140319git925a709b.5.mga6
+ Revision: 1017960
- rebuild for new atlas 3.10.2

* Wed Feb 03 2016 umeabot <umeabot> 1.6.2-0.20140319git925a709b.4.mga6
+ Revision: 932996
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-0.20140319git925a709b.3.mga5
+ Revision: 749660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-0.20140319git925a709b.2.mga5
+ Revision: 690229
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 spuhler <spuhler> 1.6.2-0.20140319git925a709b.1.mga5
+ Revision: 633303
- first release after import from Fedora
- imported package vmmlib


* Wed Mar 19 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.6.2-1.20140319git925a709b
- New version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.2.rc1
- Added dist tag to spec

* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.1.rc1
- New version

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.4.20111214svn558
- New svn snapshot that fixes cp3_tensor test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.3.20111214svn556
- New svn snapshot that fixes several problems in unit test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20111122svn540
- Fixed unit test on 64 bit

* Tue Nov 22 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20111122svn540
- Initial release
